Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817242 - [abrt] evolution-data-server-3.4.1-2.fc17: g_malloc: Process /usr/libexec/evolution-calendar-factory was killed by signal 5 (SIGTRAP)
Summary: [abrt] evolution-data-server-3.4.1-2.fc17: g_malloc: Process /usr/libexec/evo...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-mapi
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6eb152f3f095a7bbae9b80adc4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-28 09:05 UTC by Douglas Furlong
Modified: 2012-05-02 15:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 09:07:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.99 KB, text/plain)
2012-04-28 09:05 UTC, Douglas Furlong
no flags Details
File: maps (56.70 KB, text/plain)
2012-04-28 09:06 UTC, Douglas Furlong
no flags Details
File: dso_list (20.18 KB, text/plain)
2012-04-28 09:06 UTC, Douglas Furlong
no flags Details
File: build_ids (8.57 KB, text/plain)
2012-04-28 09:06 UTC, Douglas Furlong
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 675283 0 None None None Never

Description Douglas Furlong 2012-04-28 09:05:50 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
comment:        Connecting to an exchange server using EWS and mapi.
core_backtrace: 
crash_function: g_malloc
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.3.2-8.fc17.i686.PAE
pid:            1491
pwd:            /
time:           Sat 28 Apr 2012 09:56:04 BST
uid:            1000
username:       dfurlong
var_log_messages: Apr 28 09:56:06 x201 abrt[7524]: Saved core dump of pid 1491 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-04-28-09:56:04-1491 (122843136 bytes)

backtrace:      Text file, 59378 bytes
build_ids:      Text file, 8774 bytes
dso_list:       Text file, 20665 bytes
maps:           Text file, 58065 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dfurlong/2

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-ydborBVB3m,guid=d688d65c17a7f0faded9850900000037
:XDG_SESSION_COOKIE=ecbb62d36960d6b90010062c00000012-1335601436.641358-727081274
:XDG_RUNTIME_DIR=/run/user/dfurlong
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/dfurlong/keyring-iaRCi7/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1095,unix/unix:/tmp/.ICE-unix/1095
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=1
:USERNAME=xxxxx
:GDMSESSION=gnome
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/dfurlong/keyring-iaRCi7/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ydborBVB3m,guid=d688d65c17a7f0faded9850900000037
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-dfurlong-vYrZhe/database
:USER=dfurlong
:DBUS_STARTER_BUS_TYPE=session
:SHLVL=1
:PWD=/home/dfurlong
:GDM_LANG=en_GB.utf8
:GNOME_KEYRING_CONTROL=/run/user/dfurlong/keyring-iaRCi7
:LANG=en_GB.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=dfurlong
:HOME=/home/dfurlong

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62973                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62973                62973                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	02
:1:/dev/null
:pos:	0
:flags:	02
:2:/dev/null
:pos:	0
:flags:	02
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	02
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[23413]
:pos:	0
:flags:	04002
:7:socket:[23415]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[108495]
:pos:	0
:flags:	02004002
:10:socket:[23418]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:12:/home/dfurlong/.local/share/evolution/mapi-profiles.ldb
:pos:	168
:flags:	02100002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[109518]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:16:/dev/urandom
:pos:	0
:flags:	02000000
:17:socket:[106475]
:pos:	0
:flags:	02000002
:18:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:19:socket:[108789]
:pos:	0
:flags:	02004002
:20:/dev/urandom
:pos:	0
:flags:	02100000
:21:socket:[106753]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:26:socket:[109655]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 52d2bfeb-e70d-4557-b88d-64f0f52b6c52
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: i686
:BogoMIPS: 4787.88
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 7888
:System Swap: 3775
:Vendor: LENOVO
:System: 3626FBG ThinkPad X201
:Form factor: Notebook
:Kernel: 3.3.2-8.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Terra.1280.800
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_x201-lv_root / ext4 4096 4096 5235435 2183831 2131422 1310720 959097 959097
:/dev/mapper/vg_x201-lv_home /home ext4 4096 4096 5226764 1481449 1219305 1310720 1260499 1260499
:/dev/sda5 /boot ext4 1024 1024 508745 411130 385530 128016 127741 127741
:/dev/sda2 WITHHELD fuseblk 4096 4096 31990014 12218858 12218858 49006504 48893762 48893762
:

Comment 1 Douglas Furlong 2012-04-28 09:05:58 UTC
Created attachment 580945 [details]
File: backtrace

Comment 2 Douglas Furlong 2012-04-28 09:06:01 UTC
Created attachment 580946 [details]
File: maps

Comment 3 Douglas Furlong 2012-04-28 09:06:03 UTC
Created attachment 580947 [details]
File: dso_list

Comment 4 Douglas Furlong 2012-04-28 09:06:05 UTC
Created attachment 580948 [details]
File: build_ids

Comment 5 Milan Crha 2012-05-02 09:07:56 UTC
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

I see that this happened in evolution-mapi, when it was parsing a description of the recurrence for an appointment, thus I'd suggest to disable the mapi account till the issue with recurring blob parsing is fixed.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=675283

Comment 6 Milan Crha 2012-05-02 15:05:14 UTC
I built a test package with patch from the upstream bug included at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4044955

It'll be good if you could give it a try. Note the evolution-calendar-factory will need restart after installing this package. You can also follow instructions from the upstream bug about clearing local cache and let evolution-mapi recreate local cache of events from scratch.

Please let me know whether the change helped you too. If not, then we can try to find out what is going wrong here, though I believe the upstream patch fixes the issue.


Note You need to log in before you can comment on or make changes to this bug.